<template>
  <div class="spot-order">
    <div class="spot-order__detail">
      <PriceBlock />
      <div class="spot-order__detail--bottom">
        <Confirm />
      </div>
    </div>
  </div>
</template>

<script>
import PriceBlock from './components/price'
import Confirm from './components/confirm'

export default {
  components: {
    PriceBlock,
    Confirm,
  },
}
</script>

<style lang="scss">
@import '~common-components/src/static/css/variables';

.spot-order {
  &__detail {
    &--bottom {
      height: 425px;
      overflow-x: hidden;
      overflow-y: scroll;
      padding-right: 20px;
      position: relative;
      right: -20px;
      margin-left: -5px;
      padding-left: 5px;
      &::-webkit-scrollbar {
        width: 6px;
        background: transparent;
        opacity: 0.3;
      }
      &::-webkit-scrollbar-thumb {
        background: $blue-200;
        border-radius: 3px;
      }
      &::-webkit-scrollbar-track {
        background: transparent;
      }
    }
  }
}
</style>
